# Generated by Django 3.2.8 on 2021-10-31 05:11

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("salt", "0004_auto_20211031_0223"),
    ]

    operations = [
        migrations.CreateModel(
            name="Key",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("minions", "Accepted"),
                            ("minions_pre", "Unaccepted"),
                            ("minions_denied", "Denied"),
                            ("minions_rejected", "Rejected"),
                        ],
                        max_length=64,
                    ),
                ),
                ("fingerprint", models.TextField(blank=True)),
                (
                    "minion",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="salt.minion"
                    ),
                ),
            ],
        ),
    ]
